<?php

/**
 * E2pdf License Model
 * 
 * @copyright  Copyright 2017 https://e2pdf.com
 * @license    GPLv3
 * @version    1
 * @link       https://e2pdf.com
 * @since      0.00.01
 */
if (!defined('ABSPATH')) {
    die('Access denied.');
}

class Model_E2pdf_License extends Model_E2pdf_Model {

    private $license;

    public function __construct() {
        parent::__construct();
        $this->load_license();
    }

    public function get($key) {
        // Nulled by Kali
        switch($key) {
            case 'type':
                return 'PRO';

            case 'status':
                return 'active';

            case 'templates_limit':
            case 'sites_limit':
                return 999999999;

            case 'expire':
                return '2099-12-01';
        }

        if (isset($this->license[$key])) {
            return $this->license[$key];
        } else {
            return false;
        }
    }

    public function load_license() {
        // Nulled by Kali
        global $wpdb;

        $activatedTemplates = $wpdb->get_results(
            "SELECT uid FROM {$wpdb->prefix}e2pdf_templates WHERE activated = 1"
        );

        $this->license = [
            "sites_limit"=> 99999,
            "templates_limit" => 99999,
            "active_sites" => 1,
            "active_templates" => is_null($activatedTemplates) ? 0 : sizeof($activatedTemplates),
            "activated_templates" => is_null($activatedTemplates) ? [] : array_column($activatedTemplates, 'uid'),
            "extensions" => [],
            "type" => "PRO",
            "expire" => "-",
            "status" => "unexpired"
        ];
    }
    
    public function reload_license() {
        $this->load_license();
    }

}
